Package Details: gprbuild 2019-1

Git Clone URL: https://aur.archlinux.org/gprbuild.git (read-only)
Package Base: gprbuild
Description: Builder for multi-language systems
Upstream URL: https://github.com/AdaCore/gprbuild/
Licenses: GPL3
Conflicts: gprbuild-bootstrap, gprbuild-bootstrap-git, gprbuild-git
Provides: gprbuild-bootstrap
Submitter: None
Maintainer: charlie5
Last Packager: charlie5
Votes: 21
Popularity: 0.044222
First Submitted: 2010-02-03 13:25
Last Updated: 2019-06-22 21:28

Required by (33)

Sources (3)

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

charlie5 commented on 2016-02-01 08:04

"Perhaps it would be better to patch gprbuild to change the path it uses?" ... a better option, yes.

In fact, the gcc/gnat/gprbuild and gnat_util (which requires full gcc-ada rebuild) is, err, tricky, to sort out. There are also later issues with gdb not recognising Ada exceptions (such as Constraint_Error) when you want to set break point on a given exception, perhaps due to the gcc/gnat runtime not being built with debug symbols attached (i guess).

I, err, sort of inherited this job (so am glad of any help/advice).

I will try it locally, of course.

ids1024 commented on 2016-02-01 05:48

Installing that package works, though it is imperfect.

Perhaps it would be better to patch gprbuild to change the path it uses? I haven't looked at how difficult that would be.

charlie5 commented on 2016-02-01 05:46

I guess PKGBUILD depends settings musyt need attention ... will look properly tomorrow.

Sorry for inconvenience.

charlie5 commented on 2016-02-01 05:40

Ah,

Have you installed the 'prepare_gnat_util' package ? (It should provide the libgnat-5.3.0 link).

As you say, hackish ... any advice welcome.

ids1024 commented on 2016-02-01 04:54

@charlie5 It shows "gcc (GCC) 5.3.0"

The library seems to be named /usr/lib/libgnat-5.so rather than /usr/lib/libgnat-5.3.so like it is looking for. A symlink makes it compile, but that is a hack.

charlie5 commented on 2016-02-01 00:32

Hi ids1024,

What does this show ?

$ gcc --version

ids1024 commented on 2016-01-30 17:56

Trying to use gprbuild, I am getting the error "/usr/bin/ld: cannot find -lgnat-5.3"

charlie5 commented on 2015-11-21 09:09

Source URL is now updated.

It seems several of the Adacore packages source URL's have changed. The other packages should be updated now also.

valexey commented on 2015-11-20 20:09

Thanks! It helps.

Dettorer commented on 2015-11-20 18:43

Changing the source url of gprbuild to http://mirrors.cdn.adacore.com/art/564b3e2ec8e196b040fbd13a should fix it.